Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class NobilityTitleType

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.NobilityTitleType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class NobilityTitleType

extends Object
implements Serializable

information about the nobility title of a person

Java class for NobilityTitleType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NobilityTitleType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NobilityTitleCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="NobilityTitleDescription" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}NameType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`NobilityTitleType()`

Method Summary
`String` | `getNobilityTitleCode()` Gets the value of the nobilityTitleCode property.
`List<NameType>` | `getNobilityTitleDescriptions()` Gets the value of the nobilityTitleDescriptions property.
`void` | `setNobilityTitleCode(String value)` Sets the value of the nobilityTitleCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NobilityTitleType

    public NobilityTitleType()

Method Detail

### getNobilityTitleCode

    public String getNobilityTitleCode()

  Gets the value of the nobilityTitleCode property.

  Returns:
    possible object is `String`

### setNobilityTitleCode

    public void setNobilityTitleCode(String value)

  Sets the value of the nobilityTitleCode property.

  Parameters:
    `value` - allowed object is `String`

### getNobilityTitleDescriptions

    public List<NameType> getNobilityTitleDescriptions()

  Gets the value of the nobilityTitleDescriptions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nobilityTitleDescriptions property.

  For example, to add a new item, do as follows:

          getNobilityTitleDescriptions().add(newItem);

  Objects of the following type(s) are allowed in the list `NameType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.